import request from '@/utils/request'

// 查询角色列表
export function list(query) {
  return request({
    url: '/blog/list',
    method: 'get',
    params: query
  })
}

// 用户头像上传
export function uploadTitleImg(data) {
  return request({
    url: '/blog/titleImg/',
    method: 'post',
    data: data
  })
}

// 用户头像上传
export function add(data) {
  return request({
    url: '/blog',
    method: 'post',
    data: data
  })
}
// 根据字典类型查询字典数据信息
export function getType(dictType) {
  return request({
    url: '/blog/dictType/' + dictType,
    method: 'get'
  })
}
// 查看文章
export function get(id) {
  return request({
    url: '/blog/' + id,
    method: 'get'
  })
}

// 更新文章
export function update(data) {
  return request({
    url: '/blog',
    method: 'put',
    data: data
  })
}

// 发布或者取消
export function status(bId, status) {
  const data = {
    bId,
    status
  };
  return request({
    url: '/blog/status',
    method: 'put',
    data: data
  })
}

// 删除文章
export function delTitle(data) {
  return request({
    url: '/blog',
    method: 'delete',
    data: data
  })
}
